#
# spec file for package ffmpegyag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:              ffmpegyag
Version:           0.7.6.git20170503
Release:           1.2
Summary:           Advanced GUI for ffmpeg
License:           MIT
Group:             Productivity/Multimedia/Video/Editors and Convertors
Url:               http://sourceforge.net/projects/ffmpegyag
Source:            ffmpegyag-code.zip
Patch0:            ffmpegyag.patch
Requires(post):    hicolor-icon-theme
Requires(post):    update-desktop-files
Requires(postun):  hicolor-icon-theme
Requires(postun):  update-desktop-files
BuildRequires:     pkgconfig(alsa)
BuildRequires:     pkg-config
BuildRequires:     pkgconfig(libavcodec)
BuildRequires:     pkgconfig(libavformat)
BuildRequires:     pkgconfig(libswscale)
BuildRequires:     dos2unix
BuildRequires:     gcc-c++
BuildRequires:     unzip
BuildRequires:     update-desktop-files
BuildRequires:     wxWidgets-devel >= 3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FFmpegYAG is an advanced GUI for the popular FFmpeg audio/video encoding tool.
To use all features (split/concat, x264 10 bit, HE-AAC) it is recommend to use
the FFmpeg Hi (http://sourceforge.net/projects/ffmpeg-hi/) build.

Main features:

* batch encoding for multiple tasks
* interactive video preview, real-time video/audio playback
* multiple streams processing for video/audio/subtitles
* trim file to segments (with optional fade in/out filters) and concatenate them

%prep
%setup -q -n ffmpegyag-code
%patch0 -p1

%build
chmod a-x CHANGELOG LICENSE README
dos2unix README
%configure
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

# remove debian stuff
rm -rf %{buildroot}%{_datadir}/{doc,menu}/ffmpegyag

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%{_bindir}/ffmpegyag
%{_datadir}/applications/ffmpegyag.desktop
%{_datadir}/icons/hicolor/*/apps/ffmpegyag.png
%{_datadir}/pixmaps/ffmpegyag.xpm

%changelog
* Tue May  9 2017 joerg.lorenzen@ki.tng.de
- Update to version 0.7.6.git20170503
- Build against current ffmpeg libraries.
* Fri May 20 2016 joerg.lorenzen@ki.tng.de
- Update to version 0.7.6.git20151111
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Sun Apr 12 2015 fisiu@opensuse.org
- Initial package, 261.
